| Home | Libraries | People | FAQ | More

## Function template hex

boost::algorithm::hex — Converts a sequence of integral types into a hexadecimal sequence of characters.

## Synopsis

    // In header: <boost/algorithm/hex.hpp>

    template<typename Range, typename OutputIterator>
      unspecified hex(const Range & r, OutputIterator out);

## Description

| Note
Based on the MySQL function of the same name

Parameters: |
`r` | The input range
`out` | An output iterator to the results into
Returns: | The updated output iterator